Skip to main content
GET
/
storagezone
/
{id}
/
statistics
/
egress
Get Storage Zone Egress Statistics
curl --request GET \
  --url https://api.bunny.net/storagezone/{id}/statistics/egress \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/storagezone/{id}/statistics/egress"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/storagezone/{id}/statistics/egress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "HttpEgressChart": {},
  "S3EgressChart": {},
  "S3PresignedEgressChart": {},
  "FtpEgressChart": {},
  "SftpEgressChart": {},
  "TotalEgressChart": {},
  "HttpEgressTotal": 123,
  "S3EgressTotal": 123,
  "S3PresignedEgressTotal": 123,
  "FtpEgressTotal": 123,
  "SftpEgressTotal": 123,
  "TotalEgress": 123
}
{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

id
integer<int64>
required

The ID of the storage zone

Query Parameters

dateFrom
string<date-time> | null

(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned.

dateTo
string<date-time> | null

(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned.

hourly
boolean
default:false

(Optional) If true, the statistics data will be returned in hourly groupping.

Response

The egress statistics data for the passed parameters.

HttpEgressChart
object | null

Download traffic served over HTTP

S3EgressChart
object | null

Download traffic served over S3

S3PresignedEgressChart
object | null

Download traffic served over presigned S3 URLs

FtpEgressChart
object | null

Download traffic served over FTP

SftpEgressChart
object | null

Download traffic served over SFTP

TotalEgressChart
object | null

Total download traffic across all protocols

HttpEgressTotal
integer<int64>

Total download traffic over HTTP

S3EgressTotal
integer<int64>

Total download traffic over S3

S3PresignedEgressTotal
integer<int64>

Total download traffic over presigned S3 URLs

FtpEgressTotal
integer<int64>

Total download traffic over FTP

SftpEgressTotal
integer<int64>

Total download traffic over SFTP

TotalEgress
integer<int64>

Total download traffic across all protocols

Last modified on July 8, 2026